@import "variables";

@font-face {
  font-family: 'BetaSTC';
  src: url('../assets/fonts/STCForward-Light.woff2') format('woff2'), url('../assets/fonts/STCForward-Light.woff') format('woff'), url('../assets/fonts/STCForward-Light.ttf') format('truetype');
  font-weight: $font-light;
  font-style: normal;
}

@font-face {
  font-family: 'BetaSTC';
  src: url('../assets/fonts/STCForward-Regular.woff2') format('woff2'), url('../assets/fonts/STCForward-Regular.woff') format('woff'), url('../assets/fonts/STCForward-Regular.ttf') format('truetype');
  font-weight: $font-regular;
  font-style: normal;
}

@font-face {
  font-family: 'BetaSTC';
  src: url('../assets/fonts/STCForward-Medium.woff2') format('woff2'), url('../assets/fonts/STCForward-Medium.woff') format('woff'), url('../assets/fonts/STCForward-Medium.ttf') format('truetype');
  font-weight: $font-medium;
  font-style: normal;
}

@font-face {
  font-family: 'BetaSTC';
  src: url('../assets/fonts/STCForward-Bold.woff2') format('woff2'), url('../assets/fonts/STCForward-Bold.woff') format('woff'), url('../assets/fonts/STCForward-Bold.ttf') format('truetype');
  font-weight: $font-bold;
  font-style: normal;
}

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/material-icons-font/MaterialIcons-Regular.eot'); /* For IE6-8 */
  src: local('Material Icons'),
  local('MaterialIcons-Regular'),
  url('../assets/fonts/material-icons-font/MaterialIcons-Regular.woff2') format('woff2'),
  url('../assets/fonts/material-icons-font/MaterialIcons-Regular.woff') format('woff'),
  url('../assets/fonts/material-icons-font/MaterialIcons-Regular.ttf') format('truetype');
}

p,
div,
span,
a,
h1,
h2,
h3,
h4,
h5,
h6,
article,
section,
main,
content,
table,
td,
th,
button,
input,
select {
  font-family: $font-family;
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}

.font-weight-light {
  font-weight: $font-light;
}

.font-weight-normal {
  font-weight: $font-regular;
}

.font-weight-medium {
  font-weight: $font-medium;
}

.font-weight-bold {
  font-weight: $font-bold;
}

.font-weight-bolder {
  font-weight: $font-extra-bold;
}

.font-weight-light-imp {
  font-weight: $font-light !important;
}

.font-weight-normal-imp {
  font-weight: $font-regular !important;
}

.font-weight-medium-imp {
  font-weight: $font-medium !important;
}

.font-weight-bold-imp {
  font-weight: $font-bold !important;
}

.font-weight-bolder-imp {
  font-weight: $font-extra-bold !important;
}

@media(max-width: 768px) {
  .font-weight-md-light {
    font-weight: $font-light !important;
  }
  .font-weight-md-normal {
    font-weight: $font-regular !important;
  }
  .font-weight-md-medium {
    font-weight: $font-medium !important;
  }
  .font-weight-md-bold {
    font-weight: $font-bold !important;
  }
  .font-weight-md-bolder {
    font-weight: $font-extra-bold !important;
  }
}

@mixin fonts {
  @for $i from 10 through 90 {
    .font-#{$i} {
      font-size: #{$i/$font-size-base}rem;
    }

    .font-#{$i}-imp {
      font-size: #{$i/$font-size-base}rem !important;
    }

    @media(max-width: 768px) {
      .font-md-#{$i} {
        font-size: #{$i/$font-size-base}rem !important;
      }
    }
  }
}

@include fonts;
